Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.stdlib
Class drop_desire

    java.lang.Object
      jason.asSemantics.DefaultInternalAction
          jason.stdlib.drop_intention
              jason.stdlib.drop_desire

All Implemented Interfaces:
  InternalAction, java.io.Serializable

Direct Known Subclasses:
  drop_event

    public class drop_desire

extends drop_intention

Internal action: `.drop_desire(D)`.

Description: removes desire D from the agent circumstance. This internal action simply removes all +!D entries (those for which `.desire(D)` would succeed) from both the set of events and the set of intentions. No event is produced as a consequence of dropping desires.

Example:

- `.drop_desire(go(X,3))`: remove desires such as `<+!go(1,3),_>` from the set of events and intentions having plans with triggering events such as `+!go(1,3)`.``

See Also:
  `current_intention`, `desire`, `drop_all_desires`, `drop_all_events`, `drop_all_intentions`, `drop_event`, `drop_intention`, `succeed_goal`, `fail_goal`, `intend`, `suspend`, `suspended`, Serialized Form

Constructor Summary
`drop_desire()`

Method Summary
`void` | `dropEvt(Circumstance C, Literal l, Unifier un)`
`java.lang.Object` | `execute(TransitionSystem ts, Unifier un, Term[] args)` Executes the internal action.

Methods inherited from class jason.stdlib.drop_intention
`checkArguments, dropInt, getMaxArgs, getMinArgs`

Methods inherited from class jason.asSemantics.DefaultInternalAction
`canBeUsedInContext, prepareArguments, suspendIntention`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### drop_desire

    public drop_desire()

Method Detail

### execute

    public java.lang.Object execute(TransitionSystem ts,
                                    Unifier un,
                                    Term[] args)
                             throws java.lang.Exception

  Description copied from interface: `InternalAction`
  Executes the internal action. It should return a Boolean or an Iterator. A true boolean return means that the IA was successfully executed. An Iterator result means that there is more than one answer for this IA (e.g. see member internal action).

  Specified by:
    `execute` in interface `InternalAction`
  Overrides:
    `execute` in class `drop_intention`
  Throws:
    `java.lang.Exception`

### dropEvt

    public void dropEvt(Circumstance C,
                        Literal l,
                        Unifier un)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD